﻿@model List<SSTC.Entity.Project>

@{
    ViewBag.Title = "Projects";
}

<h2>Projekty</h2>


<script>
    function editProject(el) {
        $("#projectStatic" + el).toggle();
        $("#project" + el).toggle();
    }

    function showEmployees(el) {
        $("#emplyees" + el).toggle("slow");
    }

</script>


<div class="panel panel-default">

    <table class="table table-bordered table-condensed table-striped">
        @if (Model.Count != 0)
        {
            <tr id=@("projectHeader")>
                <th><b>Nazwa: </b></th>
                <th><b>Cena: </b></th>
                <th><b>Liczba godzin: </b></th>
                <th><b>Rozpoczęcie: </b></th>
                <th><b>Koniec: </b></th>
                <th><b>Nadgodziny: </b></th>
                <th></th>
            </tr>
            foreach (var el in Model)
            {
                <tr id=@("projectStatic" + el.Id)>
                    <td>
                        <span id=@("projectNameStatic" + el.Id)>@el.Name</span>
                    </td>
                    <td>
                        <span id=@("priceStatic" + el.Id)>@el.Price</span>
                    </td>
                    <td>
                        <span id=@("payedHoursStatic" + el.Id)>@el.PayedHours</span>
                    </td>
                    <td>
                        <span id=@("projectStartStatic" + el.Id)>@el.ProjectStart.ToShortDateString()</span>
                    </td>
                    <td>
                        <span id=@("projectEndStatic" + el.Id)>@el.ProjectEnd.ToShortDateString()</span>
                    </td>
                    <td>
                        <span id=@("overTimeStatic" + el.Id)>@(el.Overtime ? "Tak" : "Nie")</span>
                    </td>
                    <td class="text-right">
                        <input class="btn btn-group btn-sm btn-b2" id=@("addEmployee" + el.Id) type="button" value="Edycja pracowników" onclick="location.href='@Url.Action("EditMembers", "Projects", new { Id = el.Id})'" />
                        <input class="btn btn-group btn-sm btn-b2" id=@("employees" + el.Id) type="button" value="Pracownicy" onclick="showEmployees('@el.Id')" />
                        <input class="btn btn-group btn-sm btn-primary edit" type="button" value="Edytuj" onclick="editProject('@el.Id')" />
                    </td>
                </tr>
                <tr id=@("project" + el.Id) style="display:none">
                    @using (@Html.BeginForm("SaveProjects", "Projects", el, FormMethod.Post))
                    {
                        <td>
                            <span id=@("projectName" + el.Id)>@Html.TextBox("Name", el.Name, new { @class = "form-control" })</span>
                        </td>
                        <td>
                            <span id=@("price" + el.Id)>@Html.TextBox("Price", el.Price, new { @class = "form-control" })</span>
                        </td>
                        <td>
                            <span id=@("price" + el.Id)>@Html.TextBox("PayedHours", el.PayedHours, new { @class = "form-control" })</span>
                        </td>
                        <td>
                            <span id=@("projectStart" + el.Id)>@Html.TextBox("ProjectStart", el.ProjectStart.ToString("yyyy-MM-dd"), new { @class = "form-control", type = "date" })</span>
                        </td>
                        <td>
                            <span id=@("projectEnd" + el.Id)>@Html.TextBox("ProjectStart", el.ProjectStart.ToString("yyyy-MM-dd"), new { @class = "form-control", type = "date" })</span>
                        </td>
                        <td>
                            <span id=@("overTime" + el.Id)>@Html.CheckBox("Overtime", el.Overtime, new { @class = "form-control" })</span>
                        </td>
                        <td class="text-right">
                            <input class="btn btn-group btn-sm btn-primary edit" type="button" value="Edytuj" onclick="editProject('@el.Id')" />
                            <input class="btn btn-group btn-sm btn-success" id=@("save" + el.Id) type="submit" value="Zapisz" />
                        </td>
                    }
                </tr>
                <tr id=@("emplyees" + el.Id) style="display:none">
                    @if (el.Manager != null)
                    {
                        <td>
                            <span><b>Kierownik projektu:</b></span><br />
                            <span>@(@el.Manager.Name + " " + @el.Manager.Surname)</span>
                            <span></span>
                        </td>
                    }
                    else
                    {
                        <td>
                            <span><b>Brak kierownika projektu</b></span>
                        </td>
                    }
                    @if (el.Projects.Count > 0)
                    {
                        <td>
                            <span><b>Pracownicy:</b></span>
                            <br />
                            @foreach (var u in el.Projects)
                            {
                                <span>@(@u.User.Name + " " + @u.User.Surname)</span><br />
                            }
                        </td>
                    }
                    else
                    {
                        <td>
                            <span><b>BRAK PRACOWNIKÓW W TYM PROJEKCIE</b></span>
                            <br />
                        </td>
                    }
                </tr>
            }
        }
        else
        {
            <tr id=@("project")>
                <td style="border:none"></td>
                <td style='border:none;'>
                    <span><b>BRAK PROJEKTÓW W TEJ KATEGORII</b></span><br />
                </td>
            </tr>
        }
    </table>
</div>
<input class="btn btn-primary pull-right" type="button" value="Wróć" onclick="location.href='@Url.Action("EditProjects", "Admin")'" />
</br>